Bug 692003 - Non-null, but empty dict, ASCII85Decode filter params causes typecheck in length
Non-null, but empty dict, ASCII85Decode filter params causes typecheck in length
Status: NOTIFIED FIXED
Product: Ghostscript
Classification: Unclassified
Component: PDF Interpreter
0.00
All All
: P2 normal
Assigned To: Alex Cherepanov
Bug traffic
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-26 20:21 PST by Ray Johnston
Modified: 2011-02-27 01:57 PST (History)
0 users

See Also:
Customer: 700
Word Size: ---


Attachments
pdf_base.ps.patch (511 bytes, patch)
2011-02-26 20:26 PST, Ray Johnston
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ray Johnston 2011-02-26 20:21:16 PST
Created attachment 7293 [details]
1_CVR_COVER_SHEET.pdf

Customer reports this errors in all releases since 8.70 which I verified still
fails in 9.01. Apparently this was introduced by rev 10498, 2009-12-12.

Assigned to Alex for review of my patch.
Comment 1 Ray Johnston 2011-02-26 20:26:28 PST
Created attachment 7294 [details]
pdf_base.ps.patch

My fix for this file for Alex to review. Looks obvious in that the param dict
is second on the stack, not third from debugging and according to the proc
comment:
  % <source> <dict> <name> add_A85_param <source> <dict'> <name>

We probably never had a file that had a non-null param dict for ASCII85Decode
filter prior to this (the A85 filter doesn't have any params that can be
specified according to the PDF 1.7 spec, but an empty dict should be legal).
Comment 2 Alex Cherepanov 2011-02-27 01:33:39 PST
Yes, thank you for fixing my bug.
Please commit.
Comment 3 Ray Johnston 2011-02-27 01:53:14 PST
Thanks for the sanity check, Alex. Fix committed as rev 12210.
Comment 4 Ray Johnston 2011-02-27 01:57:01 PST
Customer has been notified -- changing status to closed.